From: Christoph Hellwig <hch@lst.de>
Date: Thu, 16 Dec 2021 09:42:44 +0100
Subject: [PATCH] block: remove the rsxx driver
Git-commit: 3427f2b2c533d97bcc57b4237c2af21a8bd2cdbc
Patch-mainline: v5.17-rc1
References: jsc#PED-1183

This driver was for rare and shortlived high end enterprise hardware
and hasn't been maintained since 2014, which also means it never got
converted to use blk-mq.

Signed-off-by: Christoph Hellwig <hch@lst.de>
Signed-off-by: Jens Axboe <axboe@kernel.dk>
Acked-by: Hannes Reinecke <hare@suse.com>
---
 MAINTAINERS                    |    6 -
 drivers/block/Kconfig          |   11 -
 drivers/block/Makefile         |    1 -
 drivers/block/rsxx/Makefile    |    3 -
 drivers/block/rsxx/config.c    |  197 ------
 drivers/block/rsxx/core.c      | 1119 --------------------------------
 drivers/block/rsxx/cregs.c     |  789 ----------------------
 drivers/block/rsxx/dev.c       |  306 ---------
 drivers/block/rsxx/dma.c       | 1085 -------------------------------
 drivers/block/rsxx/rsxx.h      |   33 -
 drivers/block/rsxx/rsxx_cfg.h  |   58 --
 drivers/block/rsxx/rsxx_priv.h |  418 ------------
 12 files changed, 4026 deletions(-)
 delete mode 100644 drivers/block/rsxx/Makefile
 delete mode 100644 drivers/block/rsxx/config.c
 delete mode 100644 drivers/block/rsxx/core.c
 delete mode 100644 drivers/block/rsxx/cregs.c
 delete mode 100644 drivers/block/rsxx/dev.c
 delete mode 100644 drivers/block/rsxx/dma.c
 delete mode 100644 drivers/block/rsxx/rsxx.h
 delete mode 100644 drivers/block/rsxx/rsxx_cfg.h
 delete mode 100644 drivers/block/rsxx/rsxx_priv.h

diff --git a/MAINTAINERS b/MAINTAINERS
index 360e9aa0205d..6360f5de36bf 100644
--- a/MAINTAINERS
+++ b/MAINTAINERS
@@ -7425,12 +7425,6 @@ F:	Documentation/firmware_class/
 F:	drivers/base/firmware_loader/
 F:	include/linux/firmware.h
 
-FLASH ADAPTER DRIVER (IBM Flash Adapter 900GB Full Height PCI Flash Card)
-M:	Joshua Morris <josh.h.morris@us.ibm.com>
-M:	Philip Kelleher <pjk1939@linux.ibm.com>
-S:	Maintained
-F:	drivers/block/rsxx/
-
 FLEXTIMER FTM-QUADDEC DRIVER
 M:	Patrick Havelange <patrick.havelange@essensium.com>
 L:	linux-iio@vger.kernel.org
diff --git a/drivers/block/Kconfig b/drivers/block/Kconfig
index 2a51dfb09c8f..519b6d38d4df 100644
--- a/drivers/block/Kconfig
+++ b/drivers/block/Kconfig
@@ -392,17 +392,6 @@ config BLK_DEV_RBD
 
 	  If unsure, say N.
 
-config BLK_DEV_RSXX
-	tristate "IBM Flash Adapter 900GB Full Height PCIe Device Driver"
-	depends on PCI
-	select CRC32
-	help
-	  Device driver for IBM's high speed PCIe SSD
-	  storage device: Flash Adapter 900GB Full Height.
-
-	  To compile this driver as a module, choose M here: the
-	  module will be called rsxx.
-
 source "drivers/block/rnbd/Kconfig"
 
 endif # BLK_DEV
diff --git a/drivers/block/Makefile b/drivers/block/Makefile
index 11a74f17c9ad..934a9c7c3a7c 100644
--- a/drivers/block/Makefile
+++ b/drivers/block/Makefile
@@ -34,7 +34,6 @@ obj-$(CONFIG_BLK_DEV_DRBD)     += drbd/
 obj-$(CONFIG_BLK_DEV_RBD)     += rbd.o
 obj-$(CONFIG_BLK_DEV_PCIESSD_MTIP32XX)	+= mtip32xx/
 
-obj-$(CONFIG_BLK_DEV_RSXX) += rsxx/
 obj-$(CONFIG_ZRAM) += zram/
 obj-$(CONFIG_BLK_DEV_RNBD)	+= rnbd/
 
